<< idct2 | FOSSEE_Signal_Processing_Toolbox | ifft1 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > idst1

# idst1

Computes the inverse type I discrete sine transform of X

### Syntax

    y = idst1(x)
    y = idst1(x,n)

### Parameters

x:

  Input signal.

n:

  If N is given, then X is padded or trimmed to length N before computing the transform.

y:

  Inverse discrete sine transform of the input signal.

### Description

This function computes the inverse type I discrete sine transform of X If N is given, then X is padded or trimmed to length N before computing the transform. If X is a matrix, compute the transform along the columns of the the matrix.

### Examples

    y = idst1([1, 2, 3, 4])

### See also

- dst1 — Computes the type I discrete sine transform of x

Report an issue
<< idct2 | FOSSEE_Signal_Processing_Toolbox | ifft1 >>